---
apiVersion: traefik.io/v1alpha1
kind: ServersTransport
metadata:
  name: dashboard-transport
  namespace: kubernetes-dashboard
spec:
  serverName: dashboard-kong-proxy
  insecureSkipVerify: true

---
apiVersion: traefik.io/v1alpha1
kind: IngressRoute
metadata:
  name: dashboard
  namespace: kubernetes-dashboard
spec:
  entryPoints:
    - websecure
  routes:
    - match: Host(`dashboard.innohub.local`)
      kind: Rule
      services:
        - name: dashboard-kong-proxy
          port: 443
          scheme: https
          serversTransport: dashboard-transport
          namespace: kubernetes-dashboard
  tls:
    secretName: dashboard.innohub.local
    domains:
      - main: dashboard.innohub.local
